Skip to main content
POST
/
api
/
broker_funder_policies
/
upload
/
{job_heron_id}
/
pending
/
{index}
/
resolve
/
Resolve a pending funder match
curl --request POST \
  --url https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/pending/{index}/resolve/ \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "funder_heron_id": "<string>"
}
'
import requests

url = "https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/pending/{index}/resolve/"

payload = { "funder_heron_id": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({funder_heron_id: '<string>'})
};

fetch('https://app.herondata.io/api/broker_funder_policies/upload/{job_heron_id}/pending/{index}/resolve/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "candidates": [
    {
      "funder_heron_id": "<string>",
      "funder_name": "<string>",
      "similarity": 123
    }
  ],
  "index": 123,
  "matching_priority": 123,
  "policy": {},
  "resolved_funder_heron_id": "<string>",
  "spreadsheet_name": "<string>",
  "status": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

job_heron_id
string
required

The Heron ID of the upload job

index
integer
required

The index of the pending match to resolve

Body

application/json
funder_heron_id
string
required

Heron ID of the funder to match with

Response

Pending match resolved successfully

candidates
object[]
read-only
index
integer
read-only
matching_priority
integer | null
read-only
policy
object | null
read-only
resolved_funder_heron_id
string | null
read-only
spreadsheet_name
string
read-only
status
string
read-only